<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_d155d43a39de93f858123c6b6" . "ce31d8a" => base64_decode("cHJlZ19tYXRjaA" . "=="), "_2c83c05" . "de4fa140" . "8a298026" . "dfb8d94b" . "9" => base64_decode("Y2ZnX2RldmVsb3Bl" . "cl9tb2Rl"), "_e632e86b02887f94d49b7ed7" . "6a3ebcdc" => base64_decode("VGVtcGxhd" . "GUgbm90IG" . "ZvdW5k"), "_7313d9106eada68fc89" . "3a6d6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdp" . "dGggdGhlICoudHdpZyBleHRlbnNpb24="), "_523a40c86a0e" . "b0d317646ab2b" . "bd40de8" => base64_decode("Tm8gdGVtcGxhdGUgcmVxdWVzd" . "GVk"), "temp" . "late" => base64_decode("dGVtcGxh" . "dGU="), "_69100b7c2" . "1efad30d73" . "e5c90a439a" . "5ce" => base64_decode("Ly4qX" . "C50d2" . "lnJC8" . "="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["te" . "mp" . "la" . "te"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["tem" . "pla" . "te"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2c83c05de4fa1408a298026df" . "b8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d155d43a39de93f8581" . "23c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_69100b7c21efad30d7" . "3e5c90a439a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_523a40c86" . "a0eb0d3176" . "46ab2bbd40" . "de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7313d9106eada68fc893a6d6733b58" . "a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e632e86b02887f94d49b7e" . "d76a3ebcdc"]);
        }
        return $template;
    }
}